import { PipeTransform, OnDestroy, ChangeDetectorRef } from '@angular/core';
import { RemoteData } from './remote-data';
import { Observable } from 'rxjs';
export declare class IsNotAskedPipe implements PipeTransform {
    transform<T, E>(rd: undefined | null | RemoteData<T, E>): boolean;
}
export declare class IsInProgressPipe implements PipeTransform {
    transform<T, E>(rd: undefined | null | RemoteData<T, E>): boolean;
}
export declare class AnyIsInProgressPipe implements PipeTransform, OnDestroy {
    private cd;
    private _latestValue;
    private _subscription;
    private _rds$;
    constructor(cd: ChangeDetectorRef);
    transform<T, E>(rds$: undefined | null | Observable<RemoteData<T, E>>[]): boolean;
    ngOnDestroy(): void;
    dispose(): void;
}
export declare class AnyIsNotAskedPipe implements PipeTransform, OnDestroy {
    private cd;
    private _latestValue;
    private _subscription;
    private _rds$;
    constructor(cd: ChangeDetectorRef);
    transform<T, E>(rds$: undefined | null | Observable<RemoteData<T, E>>[]): boolean;
    ngOnDestroy(): void;
    dispose(): void;
}
export declare class IsFailurePipe implements PipeTransform {
    transform<T, E>(rd: undefined | null | RemoteData<T, E>): boolean;
}
export declare class IsSuccessPipe implements PipeTransform {
    transform<T, E>(rd: undefined | null | RemoteData<T, E>): boolean;
}
export declare class HasValuePipe implements PipeTransform {
    transform<T, E>(rd: undefined | null | RemoteData<T, E>): boolean;
}
export declare class GetSuccessPipe implements PipeTransform {
    transform<T, E>(rd: undefined | null | RemoteData<T, E>, defaultValue?: T | undefined): T | undefined;
}
export declare class GetInProgressPipe implements PipeTransform {
    transform<T, E>(rd: undefined | null | RemoteData<T, E>, defaultValue?: T | undefined): T | undefined;
}
export declare class GetRemoteDataValuePipe implements PipeTransform {
    transform<T, E>(rd: undefined | null | RemoteData<T, E>): T | E | undefined;
}
export declare class GetFailureErrorPipe implements PipeTransform {
    transform<T, E>(rd: undefined | null | RemoteData<T, E>): E | undefined;
}
export declare class GetFailureValuePipe implements PipeTransform {
    transform<T, E>(rd: undefined | null | RemoteData<T, E>): T | undefined;
}
//# sourceMappingURL=pipes.d.ts.map